SkmXmlApi

Public Member Functions | Static Public Member Functions | List of all members
SkmXmlApi.AuthorizationCommand Class Reference

Communicates with the Skm Api to get Urls for thumbnails and Rtsp streams More...

Inheritance diagram for SkmXmlApi.AuthorizationCommand:

## Public Member Functions
string | GetArchiveUrl (SkmObject Device, DateTime StartTime, DateTime EndTime, bool skipGaps=false)
| Gets the archive Url of a Skm resource. The command will create a one use ticket, that is a part of the returned string, on the Skm server. This ticket is only good for ten seconds. More...
string | GetArchiveUrl (string objectId, DateTime StartTime, DateTime EndTime, bool skipGaps=false)
| Gets the archive Url of a Skm resource. The command will create a one use ticket, that is a part of the returned string, on the Skm server. This ticket is only good for ten seconds. More...
string | GetDownloadClipUrl (string objectId, DateTime StartTime, DateTime EndTime)
| Returns URL to download media clip. More...
string | GetLiveUrl (SkmObject Device, bool analytics=false)
| Gets the live Url of a Skm resource. The command will create a one use ticket, that is a part of the returned string, on the Skm server. This ticket is only good for ten seconds. More...
string | GetLiveUrl (string objectId, bool analytics=false)
| Gets the live Url of a Skm resource. The command will create a one use ticket, that is a part of the returned string, on the Skm server. This ticket is only good for ten seconds. More...
string | GetSnapshotUrl (SkmObject Device)
| Gets the snapshot/thumbnail of a Skm resource object More...
Public Member Functions inherited from SkmXmlApi.SkmBase
| SkmBase (SkmSession Session)
| Constructor More...

## Static Public Member Functions
static AuthorizationCommand | NewAuthorizationCommand (SkmSession Session)
| Factory method to create a new instance of the Authorization command More...

## Additional Inherited Members
Protected Member Functions inherited from SkmXmlApi.APICommand
| APICommand (SkmSession Session)
| Constructor More...
Static Protected Member Functions inherited from SkmXmlApi.APICommand
static XmlDocument | ExecuteCommand (WebClient client, string Url)
| Executes a command via Http on the Skm server More...
Protected Attributes inherited from SkmXmlApi.SkmBase
SkmSession | m_session
| Reference to the Skm session of the object More...
Properties inherited from SkmXmlApi.APICommand
string | BaseUrl`[get]`
| Gets the base Url for making requests to the Skm Api More...
Properties inherited from SkmXmlApi.SkmBase
SkmSession | Session`[get]`
| The current Skm session of the Skm object More...

## Detailed Description

Communicates with the Skm Api to get Urls for thumbnails and Rtsp streams

## Member Function Documentation

## ◆ GetArchiveUrl() [1/2]

string SkmXmlApi.AuthorizationCommand.GetArchiveUrl | ( | SkmObject | Device,
|  | DateTime | StartTime,
|  | DateTime | EndTime,
|  | bool | skipGaps = `false`
| ) |  |

Gets the archive Url of a Skm resource. The command will create a one use ticket, that is a part of the returned string, on the Skm server. This ticket is only good for ten seconds.

Parameters

  Device | The Skm device to get the Url for
  StartTime | Time to begin playing back
  EndTime | Time of archive to stop playing
  skipGaps | Skip archive gaps

Returns
  Archive Url of resource

## ◆ GetArchiveUrl() [2/2]

string SkmXmlApi.AuthorizationCommand.GetArchiveUrl | ( | string | objectId,
|  | DateTime | StartTime,
|  | DateTime | EndTime,
|  | bool | skipGaps = `false`
| ) |  |

Gets the archive Url of a Skm resource. The command will create a one use ticket, that is a part of the returned string, on the Skm server. This ticket is only good for ten seconds.

Parameters

  objectId | The Skm device to get the Url for
  StartTime | Time to begin playing back
  EndTime | Time of archive to stop playing
  skipGaps | Skip archive gaps

Returns
  Archive Url of resource

## ◆ GetDownloadClipUrl()

string SkmXmlApi.AuthorizationCommand.GetDownloadClipUrl | ( | string | objectId,
|  | DateTime | StartTime,
|  | DateTime | EndTime
| ) |  |

Returns URL to download media clip.

Parameters

  objectId |
  StartTime |
  EndTime |

Returns

## ◆ GetLiveUrl() [1/2]

string SkmXmlApi.AuthorizationCommand.GetLiveUrl | ( | SkmObject | Device,
|  | bool | analytics = `false`
| ) |  |

Gets the live Url of a Skm resource. The command will create a one use ticket, that is a part of the returned string, on the Skm server. This ticket is only good for ten seconds.

Parameters

  Device | The Skm device to get the url for
  analytics | True for analytics

Returns
  Live url of resource

## ◆ GetLiveUrl() [2/2]

string SkmXmlApi.AuthorizationCommand.GetLiveUrl | ( | string | objectId,
|  | bool | analytics = `false`
| ) |  |

Gets the live Url of a Skm resource. The command will create a one use ticket, that is a part of the returned string, on the Skm server. This ticket is only good for ten seconds.

Parameters

  objectId | The Skm device to get the url for
  analytics | True for analytics

Returns
  Live url of resource

## ◆ GetSnapshotUrl()

string SkmXmlApi.AuthorizationCommand.GetSnapshotUrl | ( | SkmObject | Device | ) |

Gets the snapshot/thumbnail of a Skm resource object

Parameters

  Device | The Skm device to get the url for

Returns
  Snapshot url of resource

## ◆ NewAuthorizationCommand()

static AuthorizationCommand SkmXmlApi.AuthorizationCommand.NewAuthorizationCommand | ( | SkmSession | Session | ) |
| static

Factory method to create a new instance of the Authorization command

Parameters

  Session | Current working session

Returns
  New instance of the AuthorizationCommand

The documentation for this class was generated from the following file:

- src/SkmXmlApi/AuthorizationCommand.cs